Add Indicators
curl --request POST \
--url https://api.example.com/v1/alerts/{alert_uuid}/indicators \
--header 'Content-Type: application/json' \
--data '
{
"indicators": [
{
"value": "<string>"
}
]
}
'{
"data": {
"added_count": 123,
"indicators": [
{
"uuid": "<string>",
"value": "<string>",
"malice": "<string>",
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"is_enriched": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"malice_source": "<string>",
"malice_overridden_at": "2023-11-07T05:31:56Z",
"enrichment_results": {}
}
],
"enrich_requested": true
},
"meta": {}
}Alerts
Add Indicators
Add one or more indicators to an alert.
Each indicator is upserted globally (idempotent on type+value) and linked
to the alert. If enrich=true (default), an enrichment task is queued.
POST
/
v1
/
alerts
/
{alert_uuid}
/
indicators
Add Indicators
curl --request POST \
--url https://api.example.com/v1/alerts/{alert_uuid}/indicators \
--header 'Content-Type: application/json' \
--data '
{
"indicators": [
{
"value": "<string>"
}
]
}
'{
"data": {
"added_count": 123,
"indicators": [
{
"uuid": "<string>",
"value": "<string>",
"malice": "<string>",
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"is_enriched": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"malice_source": "<string>",
"malice_overridden_at": "2023-11-07T05:31:56Z",
"enrichment_results": {}
}
],
"enrich_requested": true
},
"meta": {}
}Documentation Index
Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Query Parameters
Body
application/json
Request body for POST /v1/alerts/{uuid}/indicators.
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
⌘I

